from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XClipboardOwner(XInterface, Protocol):
    def lostOwnership(self, xClipboard: XClipboard, xTrans: XTransferable) -> None: ...
